Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2022 18:54:02 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 18 Nov 2022 10:25:34 -0500
> 
> >> So let me return the question: what part of the above code makes you
> >> think it's correct for Emacs to use a different font than the DejaVu Sans?
> > The part where you requested a misc-fixed font.
> 
> I can't see how a "misc-fixed" default fault would prevent the use of
> DejaVu Sans font for particular parts of the text.  This has worked for
> the last 10 years or so, AFAIK.

So this recipe is something that stopped working recently?  Can you
tell when, or bisect?

> > Bottom line: you cannot expect Emacs to select a font from a family
> > you request, not with a 100% reliability anyway.  Emacs can decide
> > not to.
> 
> I sense a bit of defensiveness in your responses.

I'm just tired of investigating recipes that eventually lead nowhere.
The way Emacs approves and rejects fonts doesn't guarantee that a
request to use a given family will always be granted.  Moreover,
fontconfig setup on the user's platform is also relevant.

> I'm really trying to fix an actual misbehavior in my config (one
> which at first sight looks to me like a plain bug, or at least a
> plain regression).

It isn't.

> What should I change in my recipe in order to keep the same default font
> but get the DejaVu Sans that used to get?

The default font would be my guess.  Try using some other font, not
from the fixed-misc family.